#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: foldl
version: 1.3.7
id: foldl-1.3.7-7UBKS5bhylZ7AXG8tMicJT
key: foldl-1.3.7-7UBKS5bhylZ7AXG8tMicJT
license: BSD3
copyright: 2013 Gabriel Gonzalez
maintainer: Gabriel439@gmail.com
synopsis: Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.
category: Control
author: Gabriel Gonzalez
exposed: True
indefinite: False
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
hidden-modules: Control.Foldl.Internal
abi: 61f8e58cb4b842844235d5ba3204e186
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/foldl-1.3.7
library-dirs: /usr/lib/ghc-8.2.2/site-local/foldl-1.3.7
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/foldl-1.3.7
hs-libraries: HSfoldl-1.3.7-7UBKS5bhylZ7AXG8tMicJT
depends:
    base-4.10.1.0 bytestring-0.10.8.2
    mwc-random-0.13.6.0-KJiIvjcL2lWLnFThQq321j
    primitive-0.6.3.0-CXy1O9sQYlI58rn9KQkFyo
    text-1.2.3.0-FxgEmn4RjqC37dwdnPGDhj transformers-0.5.2.0
    vector-0.12.0.1-JlawpRjIcMJIYPJVsWriIA containers-0.5.10.2
    unordered-containers-0.2.9.0-GlwZSbNHLsw5b3PDCuUikn
    hashable-1.2.6.1-J6sGOABANQPC82cP9LKvWy
    contravariant-1.4.1-7cEYjzgkYgPFdXWpdMNGgr
    semigroups-0.18.4-mxkGq2xNPcBC0dj8uuk3q
    profunctors-5.2.2-Fwq0mRaWq8LLaqMN903zvN
    comonad-5.0.3-1wQLfIXhDc15HcgpkWgfSP
    vector-builder-0.3.4.1-H0eUrNtohS7CKVDQ1QxVii
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             bytestring-0.10.8.2=4a9e2cf748f0e2cc5be33be7a5505ecf
             mwc-random-0.13.6.0-KJiIvjcL2lWLnFThQq321j=62b6b0150a4e8d4641f211ad88f80b75
             primitive-0.6.3.0-CXy1O9sQYlI58rn9KQkFyo=c6749b6f9516519305c703393b0c0693
             text-1.2.3.0-FxgEmn4RjqC37dwdnPGDhj=d51c5ac73448d7d6c9cbe4dedb95457e
             transformers-0.5.2.0=e04579c0363c9229351d1a0b394bf2d5
             vector-0.12.0.1-JlawpRjIcMJIYPJVsWriIA=a99b30cfe85615e5f75a9a70e1864f51
             containers-0.5.10.2=cc49645af4ed58d1819a7e09ee1f7920
             unordered-containers-0.2.9.0-GlwZSbNHLsw5b3PDCuUikn=e523ad11a5c5a0977b92d6afb6220c8b
             hashable-1.2.6.1-J6sGOABANQPC82cP9LKvWy=925e4ef40a93a8ff2534d316e4a6e622
             contravariant-1.4.1-7cEYjzgkYgPFdXWpdMNGgr=38aa997d99cc8fa8fedb16be108b3d30
             semigroups-0.18.4-mxkGq2xNPcBC0dj8uuk3q=c739600aa012ae17eb506df1a043419b
             profunctors-5.2.2-Fwq0mRaWq8LLaqMN903zvN=d8e9c9f7db50bd7a333dd229c7d43333
             comonad-5.0.3-1wQLfIXhDc15HcgpkWgfSP=fc3e366dce9e6d7067262bb58c14c354
             vector-builder-0.3.4.1-H0eUrNtohS7CKVDQ1QxVii=79d5e455f661274f90a629bef1656724
haddock-interfaces: /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html: /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

